=== debian/changelog ===
psignifit (2.5.6-8) unstable; urgency=medium

  * Team upload.
  * DEP5 copyright
  * Fix watch file
  * Fix Homepage
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 10 Nov 2021 18:24:25 +0100

psignifit (2.5.6-7) unstable; urgency=medium

  * Team Upload.
  * Fix arm64 CI (Closes: #975467)
  * Standards-Version: 4.5.1

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 04 Dec 2020 04:35:08 +0530

psignifit (2.5.6-6) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Move package to Debian Med team maintenance

  [ Nilesh Patra ]
  * Add autopkgtests
  * Fix copyright symlink to GPL-2
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 10 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 06 Nov 2020 19:39:55 +0530

psignifit (2.5.6-5) unstable; urgency=medium

  * Team upload.
  * Do not hard code the build architecture compiler as linker (Thanks for
    the patch to Helmut Grohne <helmut@subdivi.de>)
    Closes: #900139
  * ACK NMU 2.5.6-3.1
    Closes: #848933
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jan 2019 09:18:16 +0100

psignifit (2.5.6-4) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * debian/source/format: 3.0 (quilt)
  * Maintainer is NeuroDebian Team
  * Fix homepage
  * Try to fix d/watch but failed and drop some additional info in this file
  * hardening

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jan 2018 22:48:17 +0100

psignifit (2.5.6-3.1) unstable; urgency=medium

  * Non-maintainer upload.

    [ Joao Eriberto Mota Filho ]

  * Bumped DH level to 10. (Closes: #817631)
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Updated the Homepage field.

    [ Logan Rosen ]

  * debian/control: depend on ${misc:Depends}.
  * debian/install: install runexampledata.
  * debian/rules: Switch to dh sequencer.

    [ Matthias Klose ]

  * Fix FTBFS with ld --as-needed. (Closes: #641554, LP: #771008)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 20 Dec 2016 20:29:49 -0200

psignifit (2.5.6-3) unstable; urgency=low

  * Use new-style homepage field in debian/control (Closes: #438805).
  * Mention VCS info in debian/control.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 26 Nov 2007 09:45:53 +0100

psignifit (2.5.6-2) unstable; urgency=low

  * Updated the FSF address in the copyright file.
  * Added debian/watch file.
  * Added debian/repackage.sh script to facilitate repackaging (Thanks to
    Yaroslav Halchenko).
  * Bumped Standard-Version to 3.7.2; no changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 27 Jun 2006 20:01:57 +0200

psignifit (2.5.6-1) unstable; urgency=low

  * Initial Release. (closes: bug#325671)
  * Adjusted the Makefile to fix $DESTDIR problem. This included adding
    a proper 'install' target.
  * Added a simple manpage.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun,  7 Aug 2005 14:32:56 +0200
