=== debian/control ===
Source: psignifit
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael Hanke <michael.hanke@gmail.com>
Section: math
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/psignifit
Vcs-Git: https://salsa.debian.org/med-team/psignifit.git
Homepage: https://uni-tuebingen.de/fakultaeten/mathematisch-naturwissenschaftliche-fakultaet/fachbereiche/informatik/lehrstuehle/neuronale-informationsverarbeitung/research/software/psignifit-legacy/
Rules-Requires-Root: no

Package: psignifit
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Fitting and testing hypotheses about psychometric functions
 Psignifit allows fitting of psychometric functions to datasets while
 maintaining full control over a large number of parameters. Data
 can either be read from text files or passed through a pipe.
 .
 Psignifit performs the calculation of confidence intervals as well as
 goodness-of-fit tests.
 .
 This is the command line version.
 .
 Please note: This is the legacy version 2.x of psignifit.
