=== debian/watch ===
version=4

opts="uversionmangle=s/-/./g" \
https://uni-tuebingen.de/fakultaeten/mathematisch-naturwissenschaftliche-fakultaet/fachbereiche/informatik/lehrstuehle/neuronale-informationsverarbeitung/research/software/psignifit-legacy/psignifit-software/psignifit-download/ \
  .*/psignifit-(2-5-6)-tbx\.tgz
