=== debian/changelog ===
psignifit (3.0~beta.20120503.1-1~nd70+1) wheezy; urgency=low

  * Backported for wheezy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 14 May 2012 11:02:34 -0400

psignifit (3.0~beta.20120503.1-1) unstable; urgency=low

  * Bumped standards version from 3.9.2 to 3.9.3, no changes required
  * Bumped the copyright year.
  * Add python-tk as dependency, ndtools showed that test fail without it
  * Add a patch to fix test precision on i386 in patches/test_precision
  * Inject debian version number into python module
  * Fix unversioned copyright format uri
  * This is a combined bugfix and feature release from upstream
  * Initial release (Closes: #580499)

 -- Nikolaus Valentin Hänel <valentin.haenel@gmx.de>  Wed, 09 May 2012 19:34:42 +0200

psignifit (3.0~beta.20111109.1-1) neurodebian; urgency=low

  * Neurodebian testing release

 -- Michael Hanke <mih@debian.org>  Wed, 09 Nov 2011 14:19:32 +0100
